[Libreoffice-commits] .: bin/amt-license-patch

Tor Lillqvist tml at kemper.freedesktop.org
Thu Oct 28 06:19:59 PDT 2010


 bin/amt-license-patch |   56 +++++++++++++++++---------------------------------
 1 file changed, 20 insertions(+), 36 deletions(-)

New commits:
commit d665599be0017d088757a9393ebecd574149a63e
Author: Tor Lillqvist <tlillqvist at novell.com>
Date:   Thu Oct 28 16:16:30 2010 +0300

    Make amt-license-patch actually work
    
    For some time it has added the Agfa Monotype EULA multiple times into
    the THIRDPARTYLICENSEREADME.html, fix that. Also, the document doesn't
    have any index any more so drop the attempt to add an index entry for
    ehe Agfa Monotype EULA.

diff --git a/bin/amt-license-patch b/bin/amt-license-patch
index f6604f2..d7dc617 100755
--- a/bin/amt-license-patch
+++ b/bin/amt-license-patch
@@ -1,30 +1,20 @@
 #!/bin/sh
 
-indexentry=`mktemp`
 body=`mktemp`
 
-trap "rm $indexentry $body" EXIT
-
-cat >$indexentry <<'EOF'
-  <li><a href="#mozTocId123456">Agfa Monotype Corporation </a>
-    <ul>
-      <li><a href="#mozTocId123429">Font Software</a>
-      </li>
-    </ul>
-  </li>
-EOF
+trap "rm $body" EXIT
 
 cat >$body  <<'EOF'
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<body>
 <hr style="width: 100%; height: 2px;">The following software may be
-included in this product: Font Software; Use of any of this
+included in this product: Agfa Monotype Corporation Font Software; Use of any of this
 software
 is governed
 by the terms of the license below:<br>
-<h2><a name="mozTocId123456" class="mozTocH2"></a>Agfa Monotype Corporation
-<br>
-</h2>
-<h3><a name="mozTocId123429" class="mozTocH3"></a>Font Software<br>
-</h3>
+<h2></a>Agfa Monotype Corporation<br></h2>
+<h3></a>Font Software</h3>
 
 
 <p>AGFA MONOTYPE CORPORATION <br>END USER LICENSE AGREEMENT</p>
@@ -55,28 +45,22 @@ by the terms of the license below:<br>
 <p>21.You have the rights expressly set forth in the Agreement and no other. All rights in and to the Font Software, including unpublished rights, are reserved under the copyright laws of the United States and other jurisdictions. All rights reserved. Notwithstanding the foregoing, to the extent that any law, statute, treaty, or governmental regulation shall be deemed by a court of competent jurisdiction to provide you with any additional or different rights from those provided herein and such rights shall be deemed non-waiveable as a matter of law and to supersede the rights specifically provided herein, then such law, statute, treaty, or governmental regulation shall be deemed to be made a part of the Agreement. To the extent that any such rights created by any law, statute, treaty or governmental regulation are waiveable, you agree that your acceptance of the Agreement shall constitute an effective and irrevocable waiver of such rights. The Agreement may be enforced by AM
 T or by an authorized dealer acting on behalf of AMT.</p>
 <p>22.If this product is acquired under the terms of a (i) GSA contract - use, reproduction or disclosure is subject to the restrictions set forth in the applicable ADP Schedule contract, (ii) DOD contract - use, duplication or disclosure by the Government is subject to the applicable restrictions set forth in DFARS 252.277-7013; (iii) Civilian agency contract - use, reproduction, or disclosure is subject to FAR 52.277-19(a) through (d) and restrictions set forth in the Agreement. </p>
 <p>&quot;Monotype&quot; is a trademark of Agfa Monotype Limited registered in the U.S. Patent and Trademark Office and elsewhere. All other trademarks are the property of their respective owners. 
+</body>
+</html>
 EOF
 
-gawk ' BEGIN        { wroteindexentry=0; }
-       /^<\/ul>/    {
-                      if (wroteindexentry == 0)
-                        {
-                          line=$0;
-                          while (getline <"'$indexentry'")
-                            print;
-                          close ("'$indexentry'");
-                          print line;
-                          wroteindexentry=1;
-                          next;
-                        }
-                    }
-       /^<\/body>/  {
-                      line=$0;
-                      while (getline <"'$body'")
+gawk ' BEGIN        { doctype=0;}
+       /^<!DOCTYPE/  {
+                      doctype++;
+                      if (doctype==2) {
+                        line=$0;
+                        while (getline <"'$body'")
+                          print;
+                        close ("'$body'");
+                        print line;
                         print;
-                      close ("'$body'");
-                      print line;
-                      next;
+                        next;
+                      }
                     }
                     { print; }
 '


More information about the Libreoffice-commits mailing list